Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoDetailList Class Reference
[Detail classes]

`#include <Inventor/lists/SoDetailList.h>`

Inheritance diagram for SoDetailList:

List of all members.

## Detailed Description

The SoDetailList class is a container for pointers to SoDetail objects.

This list class will delete the details when destructed/truncated, or when a detail in the list is replaced by another detail. The caller is responsible for allocating the details passed to the list, but should not deallocate them since this will be handled by the list.

See also:
  SbPList

## Public Member Functions
| SoDetailList (void)
| SoDetailList (const int sizehint)
| SoDetailList (const SoDetailList &l)
| ~SoDetailList ()
void | append (SoDetail *detail)
void | insert (SoDetail *detail, const int insertbefore)
void | truncate (const int length, const int fit=0)
void | copy (const SoDetailList &l)
SoDetailList & | operator= (const SoDetailList &l)
SoDetail * | operator[] (const int idx) const
void | set (const int index, SoDetail *item)

## Constructor & Destructor Documentation

SoDetailList::SoDetailList | ( | void |  | ) | `[inline]`

| Default constructor.

SoDetailList::SoDetailList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items. See also: SbList::SbList(const int sizehint)

SoDetailList::SoDetailList | ( | const SoDetailList & | l | ) |

| Copy constructor.

SoDetailList::~SoDetailList | ( |  | ) |

| Destructor.

## Member Function Documentation

void SoDetailList::truncate | ( | const int | length,
|  | const int | fit = 0
| ) |

| Overridden to delete truncated items. Reimplemented from SbPList.

void SoDetailList::copy | ( | const SoDetailList & | l | ) |

| Overridden to copy items, not just pointers.

SoDetail * SoDetailList::operator[] | ( | const int | idx | ) | const`[inline]`

| Returns element at idx. Will automatically expand the size of the internal array if idx is outside the current bounds of the list. The values of any additional pointers are then set to `NULL`. Reimplemented from SbPList.

void SoDetailList::set | ( | const int | idx,
|  | SoDetail * | detail
| ) |

| Overridden to delete old item.

The documentation for this class was generated from the following files:

- SoDetailList.h
- SoDetailList.cpp